Skip to main content

Validate Actor input

POST 

/v2/actors/:actorId/validate-input

Validates the JSON payload against the Actor's input schema defined in the specified build.

If the specified build has no input schema, any input is considered valid.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Query Parameters

    build string

    Actor build whose input schema is used for validation. Can be a build tag or build number. Defaults to the latest build tag.


    Example: 0.1.234

Bodyrequired

The Actor input as a JSON object.

You can omit fields that have a default in the input schema. They're filled in before validation.

  • object object

Status 200

Response Headers
    {
    "valid": true
    }